[evolvis-commits] r6560: … or not… this cannot currently be automated , it seems↵ ↵ Reading package lists ... Done↵ Building dependency tree↵ Reading state information ... Done↵ Calculating upgrade ... Done↵ The following packages will be upgraded : ↵ evolvis gforge-common gforge-db-postgresql gforge-lists-mailman gforge-mta-postfix↵ gforge-plugin-mediawiki gforge-plugin-scmsvn gforge-shell-postgresql gforge-web-apache2↵ 9 upgraded , 0 newly installed, 0 to remove and 0 not upgraded. ↵ Need to get 0B /3369kB of archives. ↵ After this operation , 4096B of additional disk space will be used. ↵ Do you want to continue [Y/n] ? ↵ Preconfiguring packages ... ↵ (Reading database ... 137439 files and directories currently installed.) ↵ Preparing to replace gforge-common 4 .8.3+evolvis6 (using .../ gforge-common_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-common ... ↵ Preparing to replace evolvis 4 . 8.3+evolvis6 (using .../evolvis_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement evolvis ... ↵ Preparing to replace gforge-db-postgresql 4 .8.3+evolvis6 ( using .../gforge-db-postgresql_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-db-postgresql ... ↵ Preparing to replace gforge-web-apache2 4 .8.3+evolvis6 ( using .../gforge-web-apache2_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-web-apache2 ... ↵ Preparing to replace gforge-mta-postfix 4 .8.3+evolvis6 ( using .../gforge-mta-postfix_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-mta-postfix ... ↵ Preparing to replace gforge-shell-postgresql 4 .8.3+evolvis6 (using .../gforge-shell-postgresql_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-shell-postgresql ... ↵ Preparing to replace gforge-lists-mailman 4 .8.3+evolvis6 ( using .../gforge-lists-mailman_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-lists-mailman ... ↵ Preparing to replace gforge-plugin-scmsvn 4 .8.3+evolvis6 ( using .../gforge-plugin-scmsvn_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-plugin-scmsvn ... ↵ Preparing to replace gforge-plugin-mediawiki 4 .8.3+evolvis6 (using .../gforge-plugin-mediawiki_4.8.3+evolvis7_all.deb) ... ↵ Unpacking replacement gforge-plugin-mediawiki ... ↵ Processing triggers for man-db ... ↵ Setting up gforge-common (4.8. 3+evolvis7) ... ↵ Calculating defaults↵ Reading defaults from /etc/ gforge/gforge. conf↵ Creating /etc/gforge/gforge. conf↵ Files /usr/share/gforge/etc/httpd.d/ 07maindirhttp.ssl and /etc/gforge/httpd.d/07maindirhttp. ssl differ↵ Files /usr/share/gforge/etc/httpd.d/ 21list.ssl and /etc/gforge/httpd.d/21list. ssl differ↵ Files /usr/share/gforge/etc/httpd.d/ 40virtualhost and /etc/gforge/httpd.d/ 40virtualhost differ↵ SSL Enabled↵ Creating /etc/ gforge/httpd. conf↵ Creating /etc/gforge/httpd. secrets↵ Creating /etc/gforge/local. inc↵ Creating other includes↵ Setting up gforge-db-postgresql (4.8.3+evolvis7) .. . ↵ Calculating defaults↵ Reading defaults from /etc/ gforge/gforge. conf↵ Creating /etc/gforge/gforge. conf↵ Files /usr/share/gforge/etc/httpd.d/ 07maindirhttp.ssl and /etc/gforge/httpd.d/07maindirhttp. ssl differ↵ Files /usr/share/gforge/etc/httpd.d/ 21list.ssl and /etc/gforge/httpd.d/21list. ssl differ↵ Files /usr/share/gforge/etc/httpd.d/ 40virtualhost and /etc/gforge/httpd.d/ 40virtualhost differ↵ SSL Enabled↵ Creating /etc/ gforge/httpd. conf↵ Creating /etc/gforge/httpd. secrets↵ Creating /etc/gforge/local. inc↵ Creating other includes↵ Reloading PostgreSQL 8 . 3 database server: main. ↵ ↵ Could not connect to database↵ Procedural language on gforge already enabled↵ You ' ll see some debugging info during this installation. ↵ Do not worry unless told otherwise . ↵ It seems your database upgrade went well and smoothly . That's cool. ↵ Please enjoy using Evolvis (based on FusionForge). ↵ ↵ Fatal error : Class 'SCM' not found in /usr/share/gforge/plugins/scmsvn/common/SVNPlugin.class. php on line 25↵ dpkg : error processing gforge-db-postgresql (--configure): ↵ subprocess post-installation script returned error exit status 255↵ dpkg : dependency problems prevent configuration of gforge-web-apache2: ↵ gforge-web-apache2 depends on gforge-db-postgresql | gforge-db ; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ Package gforge-db is not installed . ↵ Package gforge-db-postgresql which provides gforge-db is not configured yet . ↵ dpkg : error processing gforge-web-apache2 ( --configure): ↵ dependency problems - leaving unconfigured↵ dpkg : dependency problems prevent configuration of gforge-mta-postfix: ↵ gforge-mta-postfix depends on gforge-db-postgresql | gforge-db ; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ Package gforge-db is not installed . ↵ Package gforge-db-postgresql which provides gforge-db is not configured yet . ↵ dpkg : error processing gforge-mta-postfix ( --configure): ↵ dependency problems - leaving unconfigured↵ dpkg : dependency problems prevent configuration of gforge-shell-postgresql: ↵ gforge-shell-postgresql depends on gforge-db-postgresql ; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ dpkg : error processing gforge-shell-postgresql ( --configure): ↵ dependency problems - leaving unconfigured↵ dpkg : dependency problems prevent configuration of gforge-lists-mailman: ↵ gforge-lists-mailman depends on gforge-db-postgresql | gforge-db ; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ Package gforge-db is not installed . ↵ Package gforge-db-postgresql which provides gforge-db is not configured yet . ↵ gforge-lists-mailman depends on gforge-mta-exim4 | gforge-mta ; however: ↵ Package gforge-mta-exim4 is not installed . ↵ Package gforge-mta is not installed . ↵ Package gforge-mta-postfix which provides gforge-mta is not configured yet . ↵ dpkg : error processing gforge-lists-mailman ( --configure): ↵ dependency problems - leaving unconfigured↵ dpkg : dependency problems prevent configuration of gforge-plugin-scmsvn: ↵ gforge-plugin-scmsvn depends on gforge-db-postgresql | gforge-db ; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ Package gforge-db is not installed . ↵ Package gforge-db-postgresql which provides gforge-db is not configured yet . ↵ gforge-plugin-scmsvn depends on gforge-web-apache2 | gforge-web ; however: ↵ Package gforge-web-apache2 is not configured yet . ↵ Package gforge-web is not installed . ↵ Package gforge-web-apache2 which provides gforge-web is not configured yet . ↵ gforge-plugin-scmsvn depends on gforge-shell-postgresql | gforge-shell ; however: ↵ Package gforge-shell-postgresql is not configured yet . ↵ Package gforge-shell is not installed . ↵ Package gforge-shell-postgresql which provides gforge-shell is not configured yet . ↵ dpkg : error processing gforge-plugin-scmsvn ( --configure): ↵ dependency problems - leaving unconfigured↵ dpkg : dependency problems prevent configuration of evolvis: ↵ evolvis depends on gforge-web-apache2 ; however: ↵ Package gforge-web-apache2 is not configured yet . ↵ evolvis depends on gforge-db-postgresql ; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ evolvis depends on gforge-mta-postfix ; however: ↵ Package gforge-mta-postfix is not configured yet . ↵ evolvis depends on gforge-shell-postgresql ; however: ↵ Package gforge-shell-postgresql is not configured yet . ↵ evolvis depends on gforge-lists-mailman ; however: ↵ Package gforge-lists-mailman is not configured yet . ↵ evolvis depends on gforge-plugin-scmsvn ; however: ↵ Package gforge-plugin-scmsvn is not configured yet . ↵ dpkg : error processing evolvis (--configure): ↵ dependency problems - leaving unconfigured↵ dpkg : dependency problems prevent configuration of gforge-plugin-mediawiki: ↵ gforge-plugin-mediawiki depends on gforge-db-postgresql (>= 4.6.99) | gforge-db; however: ↵ Package gforge-db-postgresql is not configured yet . ↵ Package gforge-db is not installed . ↵ Package gforge-db-postgresql which provides gforge-db is not configured yet . ↵ gforge-plugin-mediawiki depends on gforge-web-apache2 ( >= 4.6.99) | gforge-web; however: ↵ Package gforge-web-apache2 is not configured yet . ↵ Package gforge-web is not installed . ↵ Package gforge-web-apache2 which provides gforge-web is not configured yet . ↵ dpkg : error processing gforge-plugin-mediawiki ( --configure): ↵ dependency problems - leaving unconfigured↵ Errors were encountered while processing : ↵ gforge-db-postgresql↵ gforge-web-apache2↵ gforge-mta-postfix↵ gforge-shell-postgresql↵ gforge-lists-mailman↵ gforge-plugin-scmsvn↵ evolvis↵ gforge-plugin-mediawiki↵ E : Sub-process /usr/bin/dpkg returned an error code (1) ↵ 100|…↵

Thorsten Glaser t.glaser at tarent.de
Wed Apr 21 13:20:56 CEST 2010


Author: Thorsten Glaser <t.glaser at tarent.de>
Date: 2010-04-21 13:20:56 +0200 (Wed, 21 Apr 2010)
New Revision: 6560

Modified:
   trunk/gforge_base/evolvisforge/gforge/debian/README.Debian
   trunk/gforge_base/evolvisforge/gforge/debian/changelog
   trunk/gforge_base/evolvisforge/gforge/debian/gforge-db-postgresql.postinst.dsfh-in
Log:
… or not… this cannot currently be automated, it seems

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  evolvis gforge-common gforge-db-postgresql gforge-lists-mailman gforge-mta-postfix
  gforge-plugin-mediawiki gforge-plugin-scmsvn gforge-shell-postgresql gforge-web-apache2
9 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/3369kB of archives.
After this operation, 4096B of additional disk space will be used.
Do you want to continue [Y/n]?
Preconfiguring packages ...
(Reading database ... 137439 files and directories currently installed.)
Preparing to replace gforge-common 4.8.3+evolvis6 (using .../gforge-common_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-common ...
Preparing to replace evolvis 4.8.3+evolvis6 (using .../evolvis_4.8.3+evolvis7_all.deb) ...
Unpacking replacement evolvis ...
Preparing to replace gforge-db-postgresql 4.8.3+evolvis6 (using .../gforge-db-postgresql_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-db-postgresql ...
Preparing to replace gforge-web-apache2 4.8.3+evolvis6 (using .../gforge-web-apache2_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-web-apache2 ...
Preparing to replace gforge-mta-postfix 4.8.3+evolvis6 (using .../gforge-mta-postfix_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-mta-postfix ...
Preparing to replace gforge-shell-postgresql 4.8.3+evolvis6 (using .../gforge-shell-postgresql_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-shell-postgresql ...
Preparing to replace gforge-lists-mailman 4.8.3+evolvis6 (using .../gforge-lists-mailman_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-lists-mailman ...
Preparing to replace gforge-plugin-scmsvn 4.8.3+evolvis6 (using .../gforge-plugin-scmsvn_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-plugin-scmsvn ...
Preparing to replace gforge-plugin-mediawiki 4.8.3+evolvis6 (using .../gforge-plugin-mediawiki_4.8.3+evolvis7_all.deb) ...
Unpacking replacement gforge-plugin-mediawiki ...
Processing triggers for man-db ...
Setting up gforge-common (4.8.3+evolvis7) ...
Calculating defaults
Reading defaults from /etc/gforge/gforge.conf
Creating /etc/gforge/gforge.conf
Files /usr/share/gforge/etc/httpd.d/07maindirhttp.ssl and /etc/gforge/httpd.d/07maindirhttp.ssl differ
Files /usr/share/gforge/etc/httpd.d/21list.ssl and /etc/gforge/httpd.d/21list.ssl differ
Files /usr/share/gforge/etc/httpd.d/40virtualhost and /etc/gforge/httpd.d/40virtualhost differ
SSL Enabled
Creating /etc/gforge/httpd.conf
Creating /etc/gforge/httpd.secrets
Creating /etc/gforge/local.inc
Creating other includes
Setting up gforge-db-postgresql (4.8.3+evolvis7) ...
Calculating defaults
Reading defaults from /etc/gforge/gforge.conf
Creating /etc/gforge/gforge.conf
Files /usr/share/gforge/etc/httpd.d/07maindirhttp.ssl and /etc/gforge/httpd.d/07maindirhttp.ssl differ
Files /usr/share/gforge/etc/httpd.d/21list.ssl and /etc/gforge/httpd.d/21list.ssl differ
Files /usr/share/gforge/etc/httpd.d/40virtualhost and /etc/gforge/httpd.d/40virtualhost differ
SSL Enabled
Creating /etc/gforge/httpd.conf
Creating /etc/gforge/httpd.secrets
Creating /etc/gforge/local.inc
Creating other includes
Reloading PostgreSQL 8.3 database server: main.

Could not connect to database
Procedural language on gforge already enabled
You'll see some debugging info during this installation.
Do not worry unless told otherwise.
It seems your database upgrade went well and smoothly. That's cool.
Please enjoy using Evolvis (based on FusionForge).

Fatal error: Class 'SCM' not found in /usr/share/gforge/plugins/scmsvn/common/SVNPlugin.class.php on line 25
dpkg: error processing gforge-db-postgresql (--configure):
 subprocess post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of gforge-web-apache2:
 gforge-web-apache2 depends on gforge-db-postgresql | gforge-db; however:
  Package gforge-db-postgresql is not configured yet.
  Package gforge-db is not installed.
  Package gforge-db-postgresql which provides gforge-db is not configured yet.
dpkg: error processing gforge-web-apache2 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gforge-mta-postfix:
 gforge-mta-postfix depends on gforge-db-postgresql | gforge-db; however:
  Package gforge-db-postgresql is not configured yet.
  Package gforge-db is not installed.
  Package gforge-db-postgresql which provides gforge-db is not configured yet.
dpkg: error processing gforge-mta-postfix (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gforge-shell-postgresql:
 gforge-shell-postgresql depends on gforge-db-postgresql; however:
  Package gforge-db-postgresql is not configured yet.
dpkg: error processing gforge-shell-postgresql (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gforge-lists-mailman:
 gforge-lists-mailman depends on gforge-db-postgresql | gforge-db; however:
  Package gforge-db-postgresql is not configured yet.
  Package gforge-db is not installed.
  Package gforge-db-postgresql which provides gforge-db is not configured yet.
 gforge-lists-mailman depends on gforge-mta-exim4 | gforge-mta; however:
  Package gforge-mta-exim4 is not installed.
  Package gforge-mta is not installed.
  Package gforge-mta-postfix which provides gforge-mta is not configured yet.
dpkg: error processing gforge-lists-mailman (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gforge-plugin-scmsvn:
 gforge-plugin-scmsvn depends on gforge-db-postgresql | gforge-db; however:
  Package gforge-db-postgresql is not configured yet.
  Package gforge-db is not installed.
  Package gforge-db-postgresql which provides gforge-db is not configured yet.
 gforge-plugin-scmsvn depends on gforge-web-apache2 | gforge-web; however:
  Package gforge-web-apache2 is not configured yet.
  Package gforge-web is not installed.
  Package gforge-web-apache2 which provides gforge-web is not configured yet.
 gforge-plugin-scmsvn depends on gforge-shell-postgresql | gforge-shell; however:
  Package gforge-shell-postgresql is not configured yet.
  Package gforge-shell is not installed.
  Package gforge-shell-postgresql which provides gforge-shell is not configured yet.
dpkg: error processing gforge-plugin-scmsvn (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of evolvis:
 evolvis depends on gforge-web-apache2; however:
  Package gforge-web-apache2 is not configured yet.
 evolvis depends on gforge-db-postgresql; however:
  Package gforge-db-postgresql is not configured yet.
 evolvis depends on gforge-mta-postfix; however:
  Package gforge-mta-postfix is not configured yet.
 evolvis depends on gforge-shell-postgresql; however:
  Package gforge-shell-postgresql is not configured yet.
 evolvis depends on gforge-lists-mailman; however:
  Package gforge-lists-mailman is not configured yet.
 evolvis depends on gforge-plugin-scmsvn; however:
  Package gforge-plugin-scmsvn is not configured yet.
dpkg: error processing evolvis (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gforge-plugin-mediawiki:
 gforge-plugin-mediawiki depends on gforge-db-postgresql (>= 4.6.99) | gforge-db; however:
  Package gforge-db-postgresql is not configured yet.
  Package gforge-db is not installed.
  Package gforge-db-postgresql which provides gforge-db is not configured yet.
 gforge-plugin-mediawiki depends on gforge-web-apache2 (>= 4.6.99) | gforge-web; however:
  Package gforge-web-apache2 is not configured yet.
  Package gforge-web is not installed.
  Package gforge-web-apache2 which provides gforge-web is not configured yet.
dpkg: error processing gforge-plugin-mediawiki (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 gforge-db-postgresql
 gforge-web-apache2
 gforge-mta-postfix
 gforge-shell-postgresql
 gforge-lists-mailman
 gforge-plugin-scmsvn
 evolvis
 gforge-plugin-mediawiki
E: Sub-process /usr/bin/dpkg returned an error code (1)
100|…


Modified: trunk/gforge_base/evolvisforge/gforge/debian/README.Debian
===================================================================
--- trunk/gforge_base/evolvisforge/gforge/debian/README.Debian	2010-04-21 11:01:11 UTC (rev 6559)
+++ trunk/gforge_base/evolvisforge/gforge/debian/README.Debian	2010-04-21 11:20:56 UTC (rev 6560)
@@ -1,3 +1,10 @@
+Evolvis notes
+=============
+
+To update permissions for roles in RBAC for existing projects,
+run /usr/share/gforge/bin/normalize_roles.php as root.
+
+
 GForge for Debian
 =================
 

Modified: trunk/gforge_base/evolvisforge/gforge/debian/changelog
===================================================================
--- trunk/gforge_base/evolvisforge/gforge/debian/changelog	2010-04-21 11:01:11 UTC (rev 6559)
+++ trunk/gforge_base/evolvisforge/gforge/debian/changelog	2010-04-21 11:20:56 UTC (rev 6560)
@@ -6,9 +6,9 @@
   * Normalizing the roles needs to happen as admin
 
   [ Thorsten Glaser ]
-  * gf-db-postgresql postinst: run RBAC upgrade script
+  * debian/README.Debian: mention need-to-do-on-upgrade stuff
 
- -- Thorsten Glaser <t.glaser at tarent.de>  Wed, 21 Apr 2010 12:59:36 +0200
+ -- Thorsten Glaser <t.glaser at tarent.de>  Wed, 21 Apr 2010 13:18:56 +0200
 
 gforge (4.8.3+evolvis6) unstable; urgency=low
 

Modified: trunk/gforge_base/evolvisforge/gforge/debian/gforge-db-postgresql.postinst.dsfh-in
===================================================================
--- trunk/gforge_base/evolvisforge/gforge/debian/gforge-db-postgresql.postinst.dsfh-in	2010-04-21 11:01:11 UTC (rev 6559)
+++ trunk/gforge_base/evolvisforge/gforge/debian/gforge-db-postgresql.postinst.dsfh-in	2010-04-21 11:20:56 UTC (rev 6560)
@@ -69,9 +69,6 @@
 
         # Setup our DB
 	/usr/share/gforge/bin/install-db.sh configure
-
-	# Run upgrade script for RBAC
-	/usr/share/gforge/bin/normalize_roles.php
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)




More information about the evolvis-commits mailing list